QGIS Application - Bug report #10116
Oracle Provider feature count grabs whole table data
2014-04-25 07:56 AM - Médéric RIBREUX

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 18581
Description

Hello,

When | check the "Show Feature Count" checkbox, QGis 2.2 sends this query to do the count:
SELECT "FIELD1","FIELD2",...,"FIELDN" FROM "SCHEMA"."TABLE" "featureRequest"

When the table is huge with lots of fields, this count can be very long to do. I've seen in the code that there is a featureCount function that
could/should be used to do this count. In this function there are good queries to fast determine the number of features of the layer (by
querying metadata table for example).

| believe that those queries should be used when the checkbox "Show Feature Count" is checked instead of the one who grabs all of the
attributes data (which | can't find in Oracle Provider code).

History

#1 - 2014-04-28 01:03 AM - Médéric RIBREUX

Hello,

after using Debugview (under MS-Windows) and a little bit more Wireshark, | can see that featureCount method is launched when the box is checked. But
after this method, the QgsOracleFeaturelterator::openQuery method is launched. This method execute the SQL query that grabs all of the data from the

layer. | don't know what does this method and perhaps is it the internal way of Qgis to deals with count checkboxes ?

But if we could avoid to launch openQuery, it will saves a great amount of time when counting features... We could also try to lowerage the weight of the

SQL query launched by openQuery.

#2 - 2014-04-28 01:29 AM - Jiirgen Fischer

- Target version changed from Version 2.4 to Future Release - Nice to have
- Category changed from Data Provider/Oracle to Map Composer/Printing

- Assignee deleted (Jirgen Fischer)

#3 - 2014-04-28 01:31 AM - Jiirgen Fischer
- Category changed from Map Composer/Printing to Map Legend

#4 - 2017-05-01 01:08 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 03:12 PM - Giovanni Manghi
https://github.com/qgis/QGIS/blob/master/src/providers/oracle/qgsoracleprovider.cpp#L1939

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
